import { IMyApp } from '../../app';

// miniprogram/pages/report/report.js
const app = getApp<IMyApp>();
Component({
  lifetimes: {
    attached() {
      console.log(app.globalData.userInfo);
      this.setData!({
        userInfo: app.globalData.userInfo,
      });
    },
  },
  /**
   * 页面的初始数据
   */
  data: {
    userInfo: app.globalData.userInfo,
    itemList: [
      {
        name: '月度运营分析',
        icon: '../../../images/btn_yuedu@2x.png',
        url: '/pages/monthOperator/monthOperator',
        reLaunch: false,
      },
      {
        name: '用户增长分析',
        icon: '../../../images/btn_yonghu@2x.png',
        url: '/pages/userGrowth/userGrowth',
        reLaunch: false,
      },
      {
        name: '会员反馈',
        icon: '../../../images/btn_fsnkui@2x.png',
        url: '/pages/feedback/feedback',
        reLaunch: false,
      },
      // {
      //   name: '服务费缴纳',
      //   icon: '../../../images/btn_jiaona@2x.png',
      //   url: '',
      //   reLaunch: false,
      // },
      // {
      //   name: '账户提现',
      //   icon: '../../../images/btn_tixian@2x.png',
      //   url: '',
      //   reLaunch: false,
      // },
      {
        name: '退出登录',
        icon: '../../../images/btn_Sign out@2x.png',
        url: '/pages/index/index',
        reLaunch: true,
      },
      {},
      {},
    ],
    account: 0,
  },
});
